/**
 * Copyright 2008 Peach Jean Solutions
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xj4.lifecycle;

import org.xj4.spi.XJ4ExtensionProvider;
import org.xj4.spi.MethodWrapperSource;
import org.xj4.spi.ClassWrapperSource;
import org.xj4.spi.TestClassValidator;

/**
 * Created by IntelliJ IDEA.
 * User: jbunting
 * Date: Nov 9, 2008
 * Time: 1:36:44 PM
 * To change this template use File | Settings | File Templates.
 */
public class LifecycleExtensionProvider extends XJ4ExtensionProvider {

  private LifecycleManager lifecycleManager = new LifecycleManager();

  @Override
  protected MethodWrapperSource getMethodWrapperSource() {
    return lifecycleManager;
  }

  @Override
  protected ClassWrapperSource getClassWrapperSource() {
    return lifecycleManager;
  }

  @Override
  protected TestClassValidator getTestClassValidator() {
    return lifecycleManager;
  }
}
